Bug 103501 - [patch] mdmfs(8) enhancement to allow use in fstab and mount sliced/partitioned md devices
Summary: [patch] mdmfs(8) enhancement to allow use in fstab and mount sliced/partition...
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: Unspecified
Hardware: Any Any
: Normal Affects Only Me
Assignee: Matteo Riondato
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-09-23 03:10 UTC by ota
Modified: 2007-03-11 18:30 UTC (History)
0 users

See Also:


Attachments
file.diff (1.32 KB, patch)
2006-09-23 03:10 UTC, ota
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ota 2006-09-23 03:10:21 UTC
This patch helps and enhances to mount md-based device such as uzip,
slice/partitions, and so on.

If mount_md is created with this patch such that we can add md-devices to
fstab, possibilities of md-device will greatly expand.


This is how to take advantage of this patch.  These examples can be written
/etc/fstab as well with mount_md.

# mdmfs -P -F ports-5.4.uzip -oro md.uzip /tmp/test
# df /tmp/test
Filesystem  1K-blocks Used Avail Capacity  Mounted on
/dev/md4.uzip       358126   277934   51542    84%    /tmp/test

# mdmfs -P -F ports-5.4.uzip -oro /dev/md8.uzip /tmp/test
# df | grep test
/dev/md4.uzip       358126   277934   51542    84%    /tmp/test
/dev/md8.uzip       358126   277934   51542    84%    /tmp/test2

# mdmfs -P -F hd10meg.img mds1a /tmp/test3
# df /tmp/test3
Filesystem  1K-blocks Used Avail Capacity  Mounted on
/dev/md9s1a      7526    4  6920     0%    /tmp/test3

# mdmfs -P -F file.md md /tmp/test4
# df /tmp/test4
Filesystem 1K-blocks Used Avail Capacity  Mounted on
/dev/md10        846    4   776     1%    /tmp/test4

How-To-Repeat: N/A: current mdmfs does not allow this.
Comment 1 Matteo Riondato freebsd_committer 2006-11-12 10:48:55 UTC
Responsible Changed
From-To: freebsd-bugs->matteo

Take this, as I'm interested in md(4)'s use in fstab
Comment 2 dfilter service freebsd_committer 2007-02-15 13:49:50 UTC
matteo      2007-02-15 13:49:44 UTC

  FreeBSD src repository

  Modified files:
    sbin/mdmfs           mdmfs.c 
  Log:
  Enhances mdmfs(8) to mount md-based device such as uzip.
  Examples of use can be found in the PR text.
  
  PR: 103501
  MFC after:      1 week
  
  Revision  Changes    Path
  1.29      +9 -4      src/sbin/mdmfs/mdmfs.c
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Matteo Riondato freebsd_committer 2007-02-15 13:50:23 UTC
State Changed
From-To: open->patched

Patched. I'll MFC this next week.
Comment 4 Yar Tikhiy 2007-03-07 11:44:21 UTC
Please note that there is a bug in the patch.  It is described in
kern/109863 and has been fixed in mdmfs.c rev. 1.31.  The fix should
be a part of the MFC so that RELENG_6 isn't buggy from the outset.

-- 
Yar
Comment 5 dfilter service freebsd_committer 2007-03-11 18:24:30 UTC
matteo      2007-03-11 18:24:23 UTC

  FreeBSD src repository

  Modified files:        (Branch: RELENG_6)
    sbin/mdmfs           mdmfs.8 mdmfs.c 
  Log:
  mdmfs.c: MFC revs 1.29-1.31
  mdmfs.8: MFC revs 1.27-1.29
  
  PR:             bin/66763 103501 kern/109863
  
  Revision  Changes    Path
  1.20.8.2  +48 -13    src/sbin/mdmfs/mdmfs.8
  1.23.2.3  +32 -16    src/sbin/mdmfs/mdmfs.c
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Matteo Riondato freebsd_committer 2007-03-11 18:26:34 UTC
State Changed
From-To: patched->closed

MFC'ed to RELENG_6